org.apache.jmeter.timers

## Class BeanShellTimer

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.BeanShellTestElement
    - - org.apache.jmeter.timers.BeanShellTimer

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, TestBean, TestElement, TestStateListener, ThreadListener, Timer

      public class BeanShellTimer
      extends BeanShellTestElement
      implements Cloneable, Timer, TestBean

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanShellTimer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `long` | `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
    `protected String` | `getInitFileProperty()`

    - ### Methods inherited from class org.apache.jmeter.util.BeanShellTestElement

      `getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.timers.Timer

      `isModifiable`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### BeanShellTimer

          public BeanShellTimer()

  - ### Method Detail

    - #### getInitFileProperty

          protected String getInitFileProperty()

      Specified by:
        `getInitFileProperty` in class `BeanShellTestElement`

    - #### delay

          public long delay()

      This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.
      Specified by:
        `delay` in interface `Timer`
      Returns:
        the computed delay value.

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `TestElement`
      Overrides:
        `clone` in class `BeanShellTestElement`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.